Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.filter
Class FilterManager

    java.lang.Object
      org.pdfbox.filter.FilterManager

public class FilterManager
extends Object

This will contain manage all the different types of filters that are available.

Version:
  $Revision: 1.12 $
Author:
  Ben Litchfield

Constructor Summary
`FilterManager()` Constructor.

Method Summary
`void` | `addFilter(COSName filterName, Filter filter)` This will add an available filter.
`Filter` | `getFilter(COSName filterName)` This will get a filter by name.
`Filter` | `getFilter(String filterName)` This will get a filter by name.
`Collection` | `getFilters()` This will get all of the filters that are available in the system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterManager

    public FilterManager()

  Constructor.

Method Detail

### getFilters

    public Collection getFilters()

  This will get all of the filters that are available in the system.

  Returns:
    All available filters in the system.

### addFilter

    public void addFilter(COSName filterName,
                          Filter filter)

  This will add an available filter.

  Parameters:
    `filterName` - The name of the filter.
    `filter` - The filter to use.

### getFilter

    public Filter getFilter(COSName filterName)
                     throws IOException

  This will get a filter by name.

  Parameters:
    `filterName` - The name of the filter to retrieve.
  Returns:
    The filter that matches the name.
  Throws:
    `IOException` - If the filter could not be found.

### getFilter

    public Filter getFilter(String filterName)
                     throws IOException

  This will get a filter by name.

  Parameters:
    `filterName` - The name of the filter to retrieve.
  Returns:
    The filter that matches the name.
  Throws:
    `IOException` - If the filter could not be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD